package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块入库信息业务研判详情明细对象 t_dk_ywyp_xlsx_details
 *
 * @author siwei
 * @date 2025-02-24
 */
public class TDkYwypXlsxDetails extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 上传数据ID
     */
    @Excel(name = "上传数据ID")
    private String uploadId;

    /**
     * sheet页数
     */
    @Excel(name = "sheet页数")
    private String sheet;

    /**
     * swid
     */
    @Excel(name = "swid")
    private String swid;

    /**
     * sheet页json
     */
    @Excel(name = "sheet页json")
    private String sheetJson;

    private String yzmj;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setUploadId(String uploadId) {
        this.uploadId = uploadId;
    }

    public String getUploadId() {
        return uploadId;
    }

    public void setSheet(String sheet) {
        this.sheet = sheet;
    }

    public String getSheet() {
        return sheet;
    }

    public void setSwid(String swid) {
        this.swid = swid;
    }

    public String getSwid() {
        return swid;
    }

    public void setSheetJson(String sheetJson) {
        this.sheetJson = sheetJson;
    }

    public String getSheetJson() {
        return sheetJson;
    }

    public String getYzmj() {
        return yzmj;
    }

    public void setYzmj(String yzmj) {
        this.yzmj = yzmj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("uploadId", getUploadId())
                .append("sheet", getSheet())
                .append("swid", getSwid())
                .append("sheetJson", getSheetJson())
                .append("yzmj", getYzmj())
                .toString();
    }
}
